import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.TitledBorder;
import javax.swing.event.*;

/**
 * The configuration dialog window.
 */
public class JConfig extends JDialog {

	JuTable parent;
	
	public JConfig(JuTable parent) {
		super();
		this.parent = parent;
		addComponents();
		pack();
		setVisible(true);
	}
	
	void addComponents() {
		Container c = getContentPane();
		
		// 1-
		JList orientationMethod = new JList(new String[] {
			"0 - Uniform                       ",
			"1 - Circle",
			"2 - Ellipse",
			"3 - Rectangle",
			"4 - Custom"
		});
		orientationMethod.addListSelectionListener(new ListSelectionListener() {
			public void valueChanged(ListSelectionEvent arg0) {
				int newmethod = ((JList)arg0.getSource()).getSelectedIndex();
				parent.setOrientationMethod(newmethod);
			}
		});
		orientationMethod.setBorder(new TitledBorder("Orientation Method"));
		orientationMethod.setSelectedIndex(0);
		
		final JPanel vectorOptions = new JPanel(true);
		vectorOptions.setBorder(new TitledBorder("Vector field"));
		vectorOptions.setEnabled(false);
		
		// 2-
		final JCheckBox smoothing = new JCheckBox("Smooth field");
		smoothing.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				boolean checked = ((JCheckBox)e.getSource()).isSelected();
				parent.setSmoothFieldEnabled(checked);
			}
		});
		
		
		// 2-
		final JCheckBox show1 = new JCheckBox("Show colors");
		show1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				boolean checked = ((JCheckBox)e.getSource()).isSelected();
				parent.showColors(checked);
			}
		});
		
		// 2-
		final JCheckBox show11 = new JCheckBox("Show color borders");
		show11.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				boolean checked = ((JCheckBox)e.getSource()).isSelected();
				parent.showColorBorder = checked;
				parent.repaint();
			}
		});
		
		// 2-
		final JCheckBox show12 = new JCheckBox("Show rainbow");
		show12.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				boolean checked = ((JCheckBox)e.getSource()).isSelected();
				parent.showRainbow = checked;
			}
		});
		
		// 2-
		final JCheckBox show2 = new JCheckBox("Show vectors");
		show2.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				boolean checked = ((JCheckBox)e.getSource()).isSelected();
				parent.showVectors(checked);
			}
		});
		
		// 2-
		final JCheckBox field = new JCheckBox("Use vector field");
		field.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				boolean checked = ((JCheckBox)e.getSource()).isSelected();
				parent.setVectorFieldEnabled(checked);
				smoothing.setEnabled(checked);
				show1.setEnabled(checked);
				show2.setEnabled(checked);
				show11.setEnabled(checked);
				show12.setEnabled(checked);
			}
		});
		smoothing.setEnabled(false);
		show1.setEnabled(false);
		show2.setEnabled(false);
		show11.setEnabled(false);
		show12.setEnabled(false);
		
		c.setLayout(new BoxLayout(c, BoxLayout.X_AXIS));
		c.add(orientationMethod);
		c.add(field);
		c.add(vectorOptions);
		
		vectorOptions.setLayout(new BoxLayout(vectorOptions, BoxLayout.Y_AXIS));
		vectorOptions.add(smoothing);
		vectorOptions.add(show2);
		vectorOptions.add(show1);
		vectorOptions.add(show11);
		vectorOptions.add(show12);

	}
}
