import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * The main class.
 * 
 * See JuTable for more details.
 */
public class JMain extends JFrame {
	
	/**
	 * The table size in pixels.
	 */
	public static final int TABLE_WIDTH = 1080;
	public static final int TABLE_HEIGHT = 560;
	
	public static void main (String[] args) {
		new JMain();
	}
	
	public JMain() {
		super("juTable");
		JuTable table = new JuTable(TABLE_WIDTH, TABLE_HEIGHT);
		addStuff(table);
		//
		getContentPane().add(table);
		pack();
		centerWindow();
		setVisible(true);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		table.setFocusable(true);
		table.requestFocus();
		//
		new JConfig(table);
	}
	
	void centerWindow() {
		Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation((screen.width - getWidth())/2, (screen.height - getHeight())/2); 
	}
	
	/**
	 * Add documents and users here.
	 */
	public void addStuff(JuTable table) {
		for (int i=0; i<20; i++) {
			table.addDocument(350 + i*0.5f, 460 + i*0.5f);
		}
//		table.addGuy(350, 600);
	}

}
